# Changelog

## TODO List
* Multiple ambient profiles
* Plotting functionality
* Reporting functionality
* Transfer learning
* Early stopping

-------------------------------------

<!--next-version-placeholder-->

## v0.4.0 (2022-05-05)
### Feature
* **scar.model:** Addition of a sparsity parameter ([#44](https://github.com/Novartis/scAR/issues/44)) ([`0c30046`](https://github.com/Novartis/scAR/commit/0c30046aa8d20be88f516b8756789d9fab515b10))
* **scar.main:** Introduce a sparsity parameter ([`cd33fdd`](https://github.com/Novartis/scAR/commit/cd33fddbd6d7117f459e12b57a936148cde0563f))

### Documentation
* Modify Changlog.md ([`deb920c`](https://github.com/Novartis/scAR/commit/deb920cdaa3b81a7d6dbccc85231bfa87236cee6))

-------------------------------------
## v0.3.6_coming
### Feature
* _scar.py: add a sparsity parameter to control data sparsity ([`f19faa5`](https://github.com/Novartis/scAR/commit/cd33fddbd6d7117f459e12b57a936148cde0563f))
* _activation_functions.py: rewrite activation functions ([`f19faa5`](https://github.com/Novartis/scAR/commit/cd33fddbd6d7117f459e12b57a936148cde0563f))

### Chore
* Pylint: disable R and C message classes ([`9eaaa76`](https://github.com/Novartis/scAR/commit/59707026dc14b6f04ec5e6a8c3a9c992fad3e358))
* Pylint: enable pylint to recognize torch members ([`5970702`](https://github.com/Novartis/scAR/commit/927b4b69bd6f30c23ce4a68d0bf215b35167dd21))
* _scar.py: use plot directive in docstring ([`927b4b6`](https://github.com/Novartis/scAR/commit/f19faa5ecbb782ab292ed246c85d3d2cad3c64fa))
* _data_generator.py: use plot directive in docstring ([`927b4b6`](https://github.com/Novartis/scAR/commit/f19faa5ecbb782ab292ed246c85d3d2cad3c64fa))
---------------------------------------

## v0.3.5 (2022-05-03)
### Documentation
* docs: delete API.rst ([`497b080`](https://github.com/Novartis/scAR/commit/497b080eff15143a34c4d75649ba2e130e1d3006))
* __main__(): update autodoc for the command line interface ([`5ad9986`](https://github.com/Novartis/scAR/commit/5ad998607ec41b91a318ef4bc2c46694ad034dcc))
* tutorials: update colab links in tutorial notebooks ([`5ad9986`](https://github.com/Novartis/scAR/commit/5ad998607ec41b91a318ef4bc2c46694ad034dcc))
* _data_generator.py: add documentations ([`11fa2b8`](https://github.com/Novartis/scAR/commit/11fa2b858ae2162052dd6906d237b16a4f3955de))
* _scar.py: update documentation of Python API ([`11fa2b8`](https://github.com/Novartis/scAR/commit/11fa2b858ae2162052dd6906d237b16a4f3955de))

### Refactor
* _data_generator.py: rename class, uppercase --> lowercase ([`5ad9986`](https://github.com/Novartis/scAR/commit/5ad998607ec41b91a318ef4bc2c46694ad034dcc))

## v0.3.4 (2022-05-01)
### Fix
* setup.py: importing modules of scar in setup.py fails. Change it back to exec(open("scar/main/version.py").read()) ([`3e9d7c3`](https://github.com/Novartis/scAR/commit/74c217bd29af8a137b63fcb5e94f12fe0611be66))
### Style
* docstring: google style --> numpy style ([`cb20b2a`](https://github.com/Novartis/scAR/commit/e89cf54ba8cadc6ffdf8c6249a4752b773351d90))
### Documentation 
* __main__(): autodoc command line interface ([`cb20b2a`](https://github.com/Novartis/scAR/commit/e89cf54ba8cadc6ffdf8c6249a4752b773351d90))


## v0.3.3 (2022-05-01)

### Documentation

* Update documentation ([`b9171a3`](https://github.com/Novartis/scAR/commit/b9171a3015350ac37b0bc44cdb00e4c7aa3c2a67))
* Update documentation ([`44a4409`](https://github.com/Novartis/scAR/commit/44a4409fadf8d124d9b5177cf15f53f00e4524ff))
* Autodoc command line interface ([`0efae6c`](https://github.com/Novartis/scAR/commit/0efae6c26a409553bb8caad5de03c2f38842c139))


## [0.3.2](https://github.com/Novartis/scAR/compare/v0.3.0...v0.3.2) (2022-04-29)


### Feature

* GitHub Action: Add python semantic release ([#36](https://github.com/Novartis/scAR/issues/36)) ([e794242](https://github.com/Novartis/scAR/commit/e79424205022c94b525b10e6cf0672ceb8b63d20))

### Documentation

* Release notes are added to the documentation ([#36](https://github.com/Novartis/scAR/issues/36)) ([e794242](https://github.com/Novartis/scAR/commit/e79424205022c94b525b10e6cf0672ceb8b63d20)), closes [#30](https://github.com/Novartis/scAR/issues/30) [#31](https://github.com/Novartis/scAR/issues/31)



## [0.3.0](https://github.com/Novartis/scAR/compare/v0.2.3...v0.3.0) (2022-04-27)



## [0.2.3](https://github.com/Novartis/scAR/compare/v0.2.2...v0.2.3) (2022-04-19)



## [0.2.2](https://github.com/Novartis/scAR/compare/v0.2.1-beta...v0.2.2) (2022-04-04)


## pre-release

### [0.2.1-beta](https://github.com/Novartis/scAR/compare/v0.2.0-beta...v0.2.1-beta) (2022-04-01)



### [0.2.0-beta](https://github.com/Novartis/scAR/compare/v0.1.6-beta...v0.2.0-beta) (2022-04-01)



### [0.1.6-beta](https://github.com/Novartis/scAR/compare/v0.1.5-beta...v0.1.6-beta) (2022-02-17)



### [0.1.5-beta](https://github.com/Novartis/scAR/compare/v0.1.4-beta...v0.1.5-beta) (2022-02-08)



### [0.1.4-beta](https://github.com/Novartis/scAR/compare/v0.1.3-beta...v0.1.4-beta) (2022-02-03)



### [0.1.3-beta](https://github.com/Novartis/scAR/compare/v0.1.2-beta...v0.1.3-beta) (2022-02-03)



### [0.1.2-beta](https://github.com/Novartis/scAR/compare/v0.1.1-beta...v0.1.2-beta) (2022-02-03)



### [0.1.1-beta](https://github.com/Novartis/scAR/compare/v0.1.0-beta...v0.1.1-beta) (2022-02-03)



### [0.1.0-beta](https://github.com/Novartis/scAR/compare/460add0996eb49ec302fcde0e650f84df4f9e4c0...v0.1.0-beta) (2022-01-30)


### Reverts

* Revert "unknow changes" ([460add0](https://github.com/Novartis/scAR/commit/460add0996eb49ec302fcde0e650f84df4f9e4c0))